<script setup>
import { useISAStore } from '@/stores/useISAStore'
const ISAStore = useISAStore()

async function newInvestigation() {
    let investigation = await ISAStore.createPendingInvestigation()
    await navigateTo('/investigations/'+investigation.id)
}
</script>

<template>
    <div>
        <v-btn color="primary" @click="newInvestigation()" align="end">New investigation</v-btn>
    </div>
</template>
